=== debian/changelog ===
trinityrnaseq (2.5.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Aurelien Jarno ]
  * Build with glibc 2.27 (fix for cannot find -lieee)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 09:04:18 +0100

trinityrnaseq (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Updated watch file.
  * NeedlemanWunschGotohBanded.java moved into trinityrnasq_jaligner package
  * Much of the sample data is missing from upstream's tarball, so some tests
    have been turned off

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 09:13:04 -0800

trinityrnaseq (2.2.0+dfsg-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata
    - Completed references to registries
    - yamllint clean
  * debian/copyright
    - Corrected upstream-name to 'Trinity'

  [ Michael R. Crusoe ]
  * Removed unneeded dependency on r-bioc-edger

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 18 Nov 2017 05:00:08 -0800

trinityrnaseq (2.2.0+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Gert Wollny ]
  * Fix build gcc 7
    Closes: #853687  

  [ Andreas Tille ]
  * debhelper 10
    Closes: #865262
  * Standards-Version: 4.1.0 (no changes needed)
  * hardening=+all
  * remove unused lintian override
  * Build-Depends: bowtie2, yellyfish
    Closes: #860645

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 21:57:01 +0200
