=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  https://github.com/trinityrnaseq/trinityrnaseq/releases .*/archive/Trinity-v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
